;; Rekursive Loesung, um die Fibonacci-Zahl zu berechnen
(defun fibo_rekursiv (n)
    (cond ((> n 1) (+ (fibo_rekursiv (- n 1)) (fibo_rekursiv (- n 2))))
          ((= n 1) 1)
          ((= n 0) 1)))

;; Nicht-rekursive Loesung mit Formel, um die Fibonacci-Zahl zu berechnen
(defun fibo_direkt (n)
    (* (/ 1 (sqrt 5))
       (- (expt (/ (+ 1 (sqrt 5)) 2) (+ n 1))
          (expt (/ (- 1 (sqrt 5)) 2) (+ n 1)))))


























