INTERFACE Waehrung;

(*  Schnittstelle eines ADTs fuer Waehrungen.
     Autor           : Antje Nowack
    Umgebung  : PM3, Windows 95
    Erstellt        : 04. 01. 2001  Letzte Aenderung: 09.01. 2001 *)



TYPE T <: REFANY;  (* Abstrakter Datentyp Waehrung *)

PROCEDURE ErzeugeCHF(): T;
(* Erzeugt ein Element des Typs fuer die Waehrung CHF. *)

PROCEDURE ErzeugeDM(): T;
(* Erzeugt ein Element des Typs fuer die Waehrung DM. *)

PROCEDURE ErzeugeEUR(): T;
(* Erzeugt ein Element des Typs fuer die Waehrung EUR. *)

PROCEDURE ErzeugeFF(): T;
(* Erzeugt ein Element des Typs fuer die Waehrung FF. *)

PROCEDURE ErzeugeGBP(): T;
(* Erzeugt ein Element des Typs fuer die Waehrung GBP. *)

PROCEDURE ErzeugeUSD(): T;
(* Erzeugt ein Element des Typs fuer die Waehrung USD. *)

PROCEDURE GibBezeichnung(waehrung: T): TEXT;
(* Gibt die Bezeichnung der als Parameter gegebenen Waehrung zurueck. *)

PROCEDURE GibKurs(waehrung: T): REAL;
(* Gibt den Kurs der als Parameter gegebenen Waehrung zurueck. *)

END Waehrung.