INTERFACE Tontraeger;

(* Interface zur Klasse Tontraeger
   Autor           : Antje Nowack, Thomas van der Massen
   Umgebung : PM-3 Windows 95
   Erstellt        : 19.12.00  Letzte Aenderung: 22.01.01 
*)

IMPORT Track;

TYPE Tracklist = REF RECORD
                   track: Track.T;
                   next: Tracklist;
                 END;

TYPE T <: Public;
   Public = ROOT OBJECT
              METHODS
                    GetInterpret(): TEXT;
                    (* Liefert den Interpreten eines Tontraegers *)

                    SetInterpret(interpret: TEXT);
                    (* Setzt den Interpreten des angegebenen Tontraegers *)

                    GetTitle(): TEXT;
                    (* Liefert den Titel des bergebenen Tontraegers *)

                    SetTitle(title: TEXT);
                    (* Setzt den Titel des bergebenen Tontraegers *)

                    AddTrack(track: Track.T);
                    
                    GetTrackCount(): CARDINAL;
                    (* Liefert die Anzahl der Tracks des bergebenen Tontraegers *)

                    PrintTracklist();
                    (* Zeigt die Trackliste des Tontraegers auf dem Bildschirm an *)

                    TracklistAsText() : TEXT;
                    (* Liefert die Trackliste des Tontraegers mit Namen und Lnge der Tracks als Text. *)

                    GetTracklist() : Tracklist;
                    (* Liefert die Liste der Tracks des Tontraegers. *)

                    PrintInfo(): TEXT;
                    (* Liefert einen Text, der alle Informationen - inklusive Trackliste - ueber den Tontraeger 
                       enthaelt. *)



          END;

END Tontraeger.
