MODULE Zuege EXPORTS Main;

(* 
   Dieses Programm berechnet den kuerzesten Zug der
   Gesellschaft Crazy Railways.

   Autor           : Moritz Schnizler, RWTH Aachen
   Umgebung        : PM 3, Windows NT 4.0
   Erstellt        : 14.11.00
   Letzte Aenderung: 14.11.00
*)


IMPORT SIO; (* Importiere notwendige Ein-/Ausgabeoperationen *)


PROCEDURE Min(x, y : REAL): REAL =
(* Gibt die kleinere der Zahlen x und y zurueck *)
BEGIN
  IF x <= y THEN
    RETURN x;
  ELSE
    RETURN y;
  END;
END Min;


PROCEDURE KuerzesterZug (a : REAL) : REAL =
BEGIN
IF a > 33.0 THEN
    RETURN Min (KuerzesterZug((a / 3.0) - 11.0), KuerzesterZug(a - 17.0));
  ELSIF a > 17.0 THEN
    RETURN KuerzesterZug(a - 17.0);
  ELSE
    RETURN a;
  END
END KuerzesterZug;


BEGIN
  SIO.PutText("Geben Sie die Laenge (in m) des laengsten Zuges ein: ");
  SIO.PutReal(KuerzesterZug(SIO.GetReal()));
  SIO.PutLine(" m ist die Laenge des kuerzesten Zuges.");
END Zuege.
