MODULE Funktion EXPORTS Main;

(* Dieses Programm berechnet den Funktionswert f(n) fr einen gegebenes n 
   Autor    : Th. von der Maen, RWTH Aachen
   Umgebung : PM-3, Windows 2000
   Erstellt : 06.11.2000
   Letzte Aenderung: 15.11.2000
*)

IMPORT SIO;


(* Diese Funktion berechnet die Funktionswert der angegebenen Funktion fr die
bergebene Zahl n und gibt diesen zurck *)
PROCEDURE Berechne(n : CARDINAL) : CARDINAL =
BEGIN

  IF (n=1) OR (n=2) OR (n=3) THEN     (* Abbruchbedingung *)
    RETURN 1;
  ELSE
    RETURN (Berechne(n-3) - 2*Berechne(n-2) + 3*Berechne(n-1));
  END;
END Berechne;


(* Das Hauptprogramm liest eine Zahl von der Tastatur ein und bergibt diese an die
Funktion "Berechne" *)
BEGIN
  SIO.PutText("Zahl: ");
  SIO.PutInt(Berechne(SIO.GetInt()));
  SIO.Nl();
END Funktion.