MODULE BuchstabenOrg EXPORTS Main;
(*  Dieses Programm gibt an welche Buchstaben in einem Text einmal, mehrmals oder
    garnicht vorhanden sind.

    Autor    : Horst Lichter 
    Umgebung : SRC-Modula-3 rel. 3.6, Windows NT 4.0 
    Erstellt : 25.08.98    
    Letzte Aenderung: 25.08.98 
*)

IMPORT SIO, Text;

TYPE Buchstaben = ['A' .. 'Z'];
     BuchstabenMenge = SET OF Buchstaben;

CONST alle = BuchstabenMenge {'A' .. 'Z'};

VAR einmal, mehrmals, nie := BuchstabenMenge {};
    eingabe : TEXT;
    z       : CHAR;

BEGIN
  eingabe := SIO.GetLine();

  FOR i := 0 TO Text.Length(eingabe) - 1 DO	(* Der Text wird durchlaufen *)
    z := Text.GetChar(eingabe, i);		(* und jedes Zeichen nacheinander in z gespeichert *)
    IF z IN alle THEN				
      IF z IN einmal THEN			(* Falls das zeichen z schon in "einmal" vorhanden ist *)
        mehrmals := mehrmals + BuchstabenMenge{z};	(* wird es nun nach "mehrmals" bernommen *)
      ELSE
        einmal := einmal + BuchstabenMenge{z};	(* war es noch nicht in einmal enthalten wird es jetzt *)
      END;					(* hinzugefgt *)
    END;
  END;(* FOR *)

  nie := alle - einmal;		(* nie enthlt alle Elemente z minus die einmal vorgekommenen *)
  einmal := einmal - mehrmals;	(* einmal enthlt jetzt alle einmal vorgekommenen *)
				(* minus die mehrfach vorhandenen *)

  SIO.PutLine("NIE:");		(* Ausgabe aller nicht vorgekommenen zeichen *)
  FOR z := 'A' TO 'Z' DO	
    IF z IN nie THEN		(* Ist das zeichen in nie enthalten wird es, *)
      SIO.PutChar(z)		(* hier ausgegeben *)
    END;
  END;
  SIO.Nl();

  SIO.PutLine("EINMAL:");	(* Ausgabe aller einmal vorgekommenen zeichen *)
  FOR z := 'A' TO 'Z' DO
    IF z IN einmal THEN
      SIO.PutChar(z)
    END;
  END;
  SIO.Nl();

  SIO.PutLine("MEHRMALS:");	(* Ausgabe aller Mehrmals vorgekommenen zeichen *)
  FOR z := 'A' TO 'Z' DO
    IF z IN mehrmals THEN
      SIO.PutChar(z)
    END;
  END;
  SIO.Nl();

END BuchstabenOrg.