;; Die folgende Funktion gibt an, ob zwei Listen gleich sind.

(defun equal_lists ( list1 list2)
  (cond ((null list1) (null list2))
        ((null list2) (null list1))
        ((equal (car list1) (car list2)) (equal_lists (cdr list1) (cdr list2)))))



;; Die folgende Funktion liefert die uebergebene Liste in umgekehrter 
;;Reihenfolge zurueck.

(defun reverse_list (list)
  (cond ((null list) list)
        (t (append (reverse_list (nthcdr 1 list)) (list (car list))))))



;; Die folgende Funktion liefert true gdw. die uebergebene Liste ein Palindriom
;;darstellt, d.h. wenn die uebergebene Liste und ihre Umkehrung gleich sind.

(defun palindrom (list)
    (equal_lists list (reverse_list list)))
  