MODULE Geldbetraege EXPORTS Main;

IMPORT SIO;        (* Importiere Ein-/Ausgabeoperationen *)

IMPORT Waehrung;   (* ADT fuer Waehrungsinformation. *)
IMPORT Geldbetrag; (* ADT fuer Geldbetraege. *)

VAR wahl : INTEGER;
    aBetrag   : Geldbetrag.T;
    bBetrag   : Geldbetrag.T;
    summe, diff, prod, quot : Geldbetrag.T;
    aSkalar : REAL;
    bSkalar : REAL;
    skalar : REAL;
    vgl : BOOLEAN;
    dummy : TEXT;

BEGIN
  Geldbetrag.Init(aBetrag);
  Geldbetrag.Init(bBetrag); 
  REPEAT
    TRY
      (* -------------------- Hauptprogramm ---------------------- *)
        dummy := SIO.GetLine();
        SIO.PutLine("Waehlen Sie aus:");
        SIO.Nl();
        SIO.PutLine("CHF-Betrag fuer ersten Betrag eingeben: 1");
        SIO.Nl();
        SIO.PutLine("DM-Betrag fuer ersten Betrag eingeben: 2");
        SIO.Nl();
        SIO.PutLine("FF-Betrag fuer ersten Betrag eingeben: 3");
        SIO.Nl();
        SIO.PutLine("EUR-Betrag fuer ersten Betrag eingeben: 4");
        SIO.Nl();
        SIO.PutLine("GBP-Betrag fuer ersten Betrag eingeben: 5");
        SIO.Nl();
        SIO.PutLine("USD-Betrag fuer ersten Betrag eingeben: 6");
        SIO.Nl();
        SIO.PutLine("CHF-Betrag fuer zweiten Betrag eingeben: 7");
        SIO.Nl();
        SIO.PutLine("DM-Betrag fuer zweiten Betrag eingeben: 8");
        SIO.Nl();
        SIO.PutLine("FF-Betrag fuer zweiten Betrag eingeben: 9");
        SIO.Nl();
        SIO.PutLine("EUR-Betrag fuer zweiten Betrag eingeben: 10");
        SIO.Nl();
        SIO.PutLine("GBP-Betrag fuer zweiten Betrag eingeben: 11");
        SIO.Nl();
        SIO.PutLine("USD-Betrag fuer zweiten Betrag eingeben: 12");
        SIO.Nl();
        SIO.PutLine("Ersten Betrag umtauschen in CHF: 13");
        SIO.Nl();
        SIO.PutLine("Ersten Betrag umtauschen in DM: 14");       
        SIO.Nl();
        SIO.PutLine("Ersten Betrag umtauschen in FF: 15");
        SIO.Nl();
        SIO.PutLine("Ersten Betrag umtauschen in EUR: 16");
        SIO.Nl();
        SIO.PutLine("... weiter ...");
        dummy := SIO.GetLine();
        SIO.Nl();
        SIO.PutLine("Ersten Betrag umtauschen in GBP: 17");
        SIO.Nl();
        SIO.PutLine("Ersten Betrag umtauschen in USD: 18");
        SIO.Nl();
        SIO.PutLine("Zweiten Betrag umtauschen in CHF: 19");
        SIO.Nl();
        SIO.PutLine("Zweiten Betrag umtauschen in DM: 20");       
        SIO.Nl();
        SIO.PutLine("Zweiten Betrag umtauschen in FF: 21");
        SIO.Nl();
        SIO.PutLine("Zweiten Betrag umtauschen in EUR: 22");
        SIO.Nl();
        SIO.PutLine("Zweiten Betrag umtauschen in GBP: 23");
        SIO.Nl();
        SIO.PutLine("Zweiten Betrag umtauschen in USD: 24");
        SIO.Nl();
        SIO.PutLine("Addieren der Betraege: 25");
        SIO.Nl();
        SIO.PutLine("Subtrahieren des zweiten vom ersten Betrag: 26");
        SIO.Nl();
        SIO.PutLine("Multiplizieren des ersten Betrages mit einem Skalar: 27");
        SIO.Nl();
        SIO.PutLine("Multiplizieren des zweiten Betrages mit einem Skalar: 28");
        SIO.Nl();
        SIO.PutLine("Dividieren des ersten Betrages durch ein Skalar: 29");
        SIO.Nl();
        SIO.PutLine("Dividieren des zweiten Betrages durch ein Skalar: 30");
        SIO.Nl();
        SIO.PutLine("Vergleich der Betraege mit =: 31");
        SIO.Nl();
        SIO.PutLine("Vergleich der Betraege mit <: 32");
        SIO.Nl();
        SIO.PutLine("Vergleich der Betraege mit >: 33");
        SIO.Nl();
        SIO.PutLine("Ersten Betrag ausgeben: 34");
        SIO.Nl();
        SIO.PutLine("Zweiten Betrag ausgeben: 35");
        SIO.Nl();
        SIO.PutLine("Programm beenden: 36");
        SIO.Nl();
        SIO.PutLine("Wahl: ");
        wahl := SIO.GetInt();
        IF wahl = 1 THEN
           SIO.PutLine("Bitte den Wert eingeben: ");
           aSkalar := SIO.GetReal();
           aBetrag := Geldbetrag.Erzeuge(aSkalar, Waehrung.ErzeugeCHF());
        ELSIF wahl = 2 THEN
           SIO.PutLine("Bitte den Wert eingeben: ");
           aSkalar := SIO.GetReal();
           aBetrag := Geldbetrag.Erzeuge(aSkalar, Waehrung.ErzeugeDM());
        ELSIF wahl = 3 THEN
           SIO.PutLine("Bitte den Wert eingeben: ");
           aSkalar := SIO.GetReal();
           aBetrag := Geldbetrag.Erzeuge(aSkalar, Waehrung.ErzeugeFF());
        ELSIF wahl = 4 THEN
           SIO.PutLine("Bitte den Wert eingeben: ");
           aSkalar := SIO.GetReal();
           aBetrag := Geldbetrag.Erzeuge(aSkalar, Waehrung.ErzeugeEUR());
        ELSIF wahl = 5 THEN
           SIO.PutLine("Bitte den Wert eingeben: ");
           aSkalar := SIO.GetReal();
           aBetrag := Geldbetrag.Erzeuge(aSkalar, Waehrung.ErzeugeGBP());
        ELSIF wahl = 6 THEN
           SIO.PutLine("Bitte den Wert eingeben: ");
           aSkalar := SIO.GetReal();
           aBetrag := Geldbetrag.Erzeuge(aSkalar, Waehrung.ErzeugeUSD());
        ELSIF wahl = 7 THEN
           SIO.PutLine("Bitte den Wert eingeben: ");
           bSkalar := SIO.GetReal();
           bBetrag := Geldbetrag.Erzeuge(bSkalar, Waehrung.ErzeugeCHF());
        ELSIF wahl = 8 THEN
           SIO.PutLine("Bitte den Wert eingeben: ");
           bSkalar := SIO.GetReal();
           bBetrag := Geldbetrag.Erzeuge(bSkalar, Waehrung.ErzeugeDM());
        ELSIF wahl = 9 THEN
           SIO.PutLine("Bitte den Wert eingeben: ");
           bSkalar := SIO.GetReal();
           bBetrag := Geldbetrag.Erzeuge(bSkalar, Waehrung.ErzeugeFF());
        ELSIF wahl = 10 THEN
           SIO.PutLine("Bitte den Wert eingeben: ");
           bSkalar := SIO.GetReal();
           bBetrag := Geldbetrag.Erzeuge(bSkalar, Waehrung.ErzeugeEUR());
        ELSIF wahl = 11 THEN
           SIO.PutLine("Bitte den Wert eingeben: ");
           bSkalar := SIO.GetReal();
           bBetrag := Geldbetrag.Erzeuge(bSkalar, Waehrung.ErzeugeGBP());
        ELSIF wahl = 12 THEN
           SIO.PutLine("Bitte den Wert eingeben: ");
           bSkalar := SIO.GetReal();
           bBetrag := Geldbetrag.Erzeuge(bSkalar, Waehrung.ErzeugeUSD());
        ELSIF wahl = 13 THEN 
           aBetrag := Geldbetrag.Tausche(aBetrag, Waehrung.ErzeugeCHF());
        ELSIF wahl = 14 THEN 
           aBetrag := Geldbetrag.Tausche(aBetrag, Waehrung.ErzeugeDM());
        ELSIF wahl = 15 THEN 
           aBetrag := Geldbetrag.Tausche(aBetrag, Waehrung.ErzeugeFF());
        ELSIF wahl = 16 THEN 
           aBetrag := Geldbetrag.Tausche(aBetrag, Waehrung.ErzeugeEUR());
        ELSIF wahl = 17 THEN 
           aBetrag := Geldbetrag.Tausche(aBetrag, Waehrung.ErzeugeGBP());
        ELSIF wahl = 18 THEN 
           aBetrag := Geldbetrag.Tausche(aBetrag, Waehrung.ErzeugeUSD());
        ELSIF wahl = 19 THEN 
           bBetrag := Geldbetrag.Tausche(bBetrag, Waehrung.ErzeugeCHF());
        ELSIF wahl = 20 THEN 
           bBetrag := Geldbetrag.Tausche(bBetrag, Waehrung.ErzeugeDM());
        ELSIF wahl = 21 THEN 
           bBetrag := Geldbetrag.Tausche(bBetrag, Waehrung.ErzeugeFF());
        ELSIF wahl = 22 THEN 
           bBetrag := Geldbetrag.Tausche(bBetrag, Waehrung.ErzeugeEUR());
        ELSIF wahl = 23 THEN 
           bBetrag := Geldbetrag.Tausche(bBetrag, Waehrung.ErzeugeGBP());
        ELSIF wahl = 24 THEN 
           bBetrag := Geldbetrag.Tausche(bBetrag, Waehrung.ErzeugeUSD());
        ELSIF wahl = 25 THEN 
           summe := Geldbetrag.Addiere(aBetrag, bBetrag);
           SIO.PutLine("Summe: ");
           Geldbetrag.Print(summe);
        ELSIF wahl = 26 THEN 
           diff := Geldbetrag.Subtrahiere(aBetrag, bBetrag);
           SIO.PutLine("Differenz: ");
        ELSIF wahl = 27 THEN
           SIO.PutLine("Bitte Skalar eingeben:");
           skalar := SIO.GetReal(); 
           prod := Geldbetrag.Multipliziere(aBetrag, skalar);
           SIO.PutLine("Produkt: ");
           Geldbetrag.Print(prod);
        ELSIF wahl = 28 THEN
           SIO.PutLine("Bitte Skalar eingeben:");
           skalar := SIO.GetReal(); 
           prod := Geldbetrag.Multipliziere(bBetrag, skalar);
           SIO.PutLine("Produkt: ");
           Geldbetrag.Print(prod);
        ELSIF wahl = 29 THEN
           SIO.PutLine("Bitte Skalar eingeben:");
           skalar := SIO.GetReal(); 
           quot := Geldbetrag.Dividiere(aBetrag, skalar);
           SIO.PutLine("Quotient: ");
           Geldbetrag.Print(quot);
        ELSIF wahl = 30 THEN
           SIO.PutLine("Bitte Skalar eingeben:");
           skalar := SIO.GetReal(); 
           quot := Geldbetrag.Dividiere(bBetrag, skalar);
           SIO.PutLine("Quotient: ");
           Geldbetrag.Print(quot);
        ELSIF wahl = 31 THEN
           vgl := Geldbetrag.Gleich(aBetrag, bBetrag);
           IF vgl THEN SIO.PutLine("Die Betraege sind gleich.")
           ELSE SIO.PutLine("Die Betraege sind nicht gleich.") 
           END;
        ELSIF wahl = 32 THEN
           vgl := Geldbetrag.Kleiner(aBetrag, bBetrag);
           IF vgl THEN SIO.PutLine("Die erste Betrag ist kleiner.")
           ELSE SIO.PutLine("Die erste Betrag ist nicht kleiner.") 
           END;
        ELSIF wahl = 33 THEN
           vgl := Geldbetrag.Groesser(aBetrag, bBetrag);
           IF vgl THEN SIO.PutLine("Die erste Betrag ist groesser.")
           ELSE SIO.PutLine("Die erste Betrag ist nicht groesser.") 
           END;
        ELSIF wahl = 34 THEN
           SIO.PutLine("Erster Geldbetrag: ");
           Geldbetrag.Print(aBetrag);
        ELSIF wahl = 35 THEN
           SIO.PutLine("Zweiter Geldbetrag: ");
           Geldbetrag.Print(bBetrag);
        ELSIF wahl # 36 THEN 
           SIO.PutLine("Ungueltige Wahl");
        END;
    EXCEPT
      | Geldbetrag.FirstArgNoValue =>
         SIO.PutLine("Erstes Argument enthaelt keinen Geldbetrag. Bitte eingeben!");
      | Geldbetrag.SecondArgNoValue =>
         SIO.PutLine("Zweites Argument enthaelt keinen Geldbetrag. Bitte eingeben!");
      | Geldbetrag.ArgNoValue =>
         SIO.PutLine("Argument enthaelt keinen Geldbetrag. Bitte eingeben!");
      | Geldbetrag.NegativeResult =>
         SIO.PutLine("Fehler!! Diese Operation liefert eine negative Zahl.");
      | Geldbetrag.DifferentCurrencies =>
         SIO.PutLine("Fehler!! Die Waehrungen sind verschieden.");
      | Geldbetrag.InvalidCurrency =>
         SIO.PutLine("Fehler!! Keine gueltige Waehrung.");
      | Geldbetrag.NegativeInput =>
         SIO.PutLine("Fehler!! Negative Eingabe.");
      | Geldbetrag.DivisionByZero =>
         SIO.PutLine("Fehler!! Division durch Null.");
      | SIO.Error =>
         SIO.PutLine("Fehler: Fehler bei der Eingabe");
    END;
  UNTIL wahl = 36;
END Geldbetraege.
