MODULE Geometrie_v1 EXPORTS Geometrie;
(* Implementierung der Geometriefunktionen
Autor : Horst Lichter, RWTH Aachen
Umgebung : SRC-Modula-3 rel. 3.6, Windows NT 4.0
Erstellt : 16.08.98
Letzte Aenderung: 05.01.2001
*)

IMPORT SIO;

PROCEDURE PI () : REAL =
(* Diese Funktion liefert den Wert von Pi*)
BEGIN
  RETURN 3.14147;
END PI;

PROCEDURE Kreisflaeche(radius :REAL): REAL =
(* Mithilfe der Funktion (Pi * r^2) wird die Kreisflaeche berechnet *)
BEGIN
  RETURN (3.14147 * radius * radius);
END Kreisflaeche;
 
PROCEDURE Kugelvolumen(radius : REAL): REAL =
(* Berechnung des Kugelvolumens mithilfe der Funktion (4/3 * Pi * r^3) *)
BEGIN
  RETURN ( (4.0/3.0) * 3.14147 * radius * radius * radius );
END Kugelvolumen;

BEGIN (* Initialisierung des Moduls *)
  SIO.PutLine ("Geometrie_v1");
  
END Geometrie_v1.