;; Loesung zu Aufgabe 12.3

;; das Nimmspiel erwartet als Eingabe die Anzahl der Staebchen
;; zu Beginn des Spiels und spielt anschliessend gegen den
;; Benutzer mittels eines PRINT/READ-Dialogs

(defun nimmspiel (n)
    ; drucke Anzahl der Staebchen im Spiel
    (print (cons n '(Staebchen)))

    ; Benutzer darf das erste Staebchen nehmen!
    (cond ((or (> n 1)) 
              ; frage Benutzer nach seinem Zug
              (print '(Wieviele Staebchen nehmen Sie ?))
              (let ((n (- n (read))))
                   (print (cons n '(Staebchen)))
                   (cond ((> n 1) (let ((zug (rem (+ n 3) 4)))
                                       (cond ((= zug 0) (nimmspiel (- n 1)))
                                             ( T        (nimmspiel (- n zug))))))
                         ((= n 1) (print '(Sie haben gewonnen !))))))

          ; der Benutzer hat keine Chance mehr!
          ((= n 1)(print '(Ich habe gewonnen !)))))


;; Alternative zur obigen Implementierung, die SETQ statt LET verwendet
;; die Funktion arbeitet genauso wie oben, allerdings haben die mit
;; SETQ gesetzten Variablen n und zug nicht nur lokale Gueltigkeit
;; wie bei LET

(defun alt_nimmspiel (n)
    ; drucke Anzahl der Staebchen im Spiel
    (print (cons n '(Staebchen)))

    ; Benutzer darf das erste Staebchen nehmen!
    (cond ((or (> n 1)) 
              ; frage Benutzer nach seinem Zug
              (print '(Wieviele Staebchen nehmen Sie ?))
              (setq n (- n (read)))
              (print (cons n '(Staebchen)))
              (cond ((> n 1) (setq zug (rem (+ n 3) 4))
                             (cond ((= zug 0) (nimmspiel (- n 1)))
                                   (T         (nimmspiel (- n zug)))))
                    ((= n 1) (print '(Sie haben gewonnen !)))))

          ; der Benutzer hat keine Chance mehr!
          ((= n 1)(print '(Ich habe gewonnen !)))))

