MODULE Berechnung EXPORTS Main;
(* Autor: Antje Nowack
   Umgebung: PM3, Windows95
   Erstellt: 22. 11. 2000
   Letzte Aenderung: 22. 11. 2000
*)
IMPORT SIO, Text;



PROCEDURE Eingabe() =

VAR vokal, konsonant, gross, klein, doppel: CARDINAL;
    satz : TEXT;

BEGIN 
  vokal := 0;
  konsonant := 0;
  gross := 0;
  klein := 0;
  doppel := 0;
  SIO.PutText("Geben Sie einen Satz ein: ");
  satz := SIO.GetLine();
  Berechnung (satz, vokal, konsonant, gross, klein, doppel);
  SIO.Nl();
END Eingabe;



(* Die folgende Prozedur berechnet zu einem eingegebenen Text die Anzahl
der eingegebenen Vokale, Konsonanten, Grossbuchstaben, Kleinbuchstaben,
Doppellaute. Die berechnenten befinden sich nach ausfuehrung der 
Prozedur in vokal, konsonant, gross, klein, doppel *)

PROCEDURE Berechnung (string: TEXT; VAR vokal, konsonant, gross, klein, doppel: CARDINAL ) =
  BEGIN

(* Gehe alle Zeichen des eingegebenen Textes durch. *)

    FOR i := 0 TO Text.Length(string)-1 DO 

(* Fallunterscheidung nach Auswirkung der Zeichen auf das Ergebnis. *)

     CASE Text.GetChar(string, i) OF 

(* Grossbuchstaben und Vokale und kein Doppellaut moeglich *)

       | 'I', 'O', 'U' =>
           vokal := vokal + 1;
           gross := gross +1;

(* Grossbuchstabe und Vokal und Doppellaute "Ai", "Au"  moeglich *)

       | 'A' =>
           vokal := vokal + 1;
           gross := gross +1;

(* Wenn auf das 'A' ein 'i' folgt und somit ein Doppellaut vorliegt ...*)

           IF i < Text.Length(string)-1 AND Text.GetChar(string, i+1)= 'i' THEN
             doppel := doppel + 1;

(* Wenn auf das 'A' ein 'u' folgt und somit ein Doppellaut vorliegt ...*)

           ELSIF i < Text.Length(string)-1 AND Text.GetChar(string, i+1)= 'u' THEN
             doppel := doppel + 1;
           END;

(* Grossbuchstabe und Vokal und Doppellaut "Ei" moeglich *)

      | 'E' =>
           vokal := vokal + 1;
           gross := gross +1;

(* Wenn auf das 'E' ein 'i' folgt und somit ein Doppellaut vorliegt ...*)

           IF i < Text.Length(string)-1 AND Text.GetChar(string, i+1)= 'i' THEN
             doppel := doppel + 1;
           END;

(* Kleinbuchstaben und Vokale und kein Doppellaut moeglich *)

      | 'i', 'o', 'u' =>
           vokal := vokal + 1;
           klein := klein +1;

(* Kleinbuchstabe und Vokal und Doppellaute "ai", "au"  moeglich *)      

      | 'a' =>
           vokal := vokal + 1;
           klein := klein +1;

(* Wenn auf das 'a' ein 'i' folgt und somit ein Doppellaut vorliegt ...*)

           IF i < Text.Length(string)-1 AND Text.GetChar(string, i+1)= 'i' THEN
             doppel := doppel + 1;

(* Wenn auf das 'a' ein 'u' folgt und somit ein Doppellaut vorliegt ...*)
           ELSIF i < Text.Length(string)-1 AND Text.GetChar(string, i+1)= 'u' THEN
             doppel := doppel + 1;
           END;

(* Grossbuchstabe und Vokal und Doppellaut "ei" moeglich *)

       | 'e' =>
           vokal := vokal + 1;
           klein := klein +1;

(* Wenn auf das 'e' ein 'i' folgt und somit ein Doppellaut vorliegt ...*)

           IF i < Text.Length(string)-1 AND Text.GetChar(string, i+1)= 'i' THEN
             doppel := doppel + 1;
           END;

(* Kleinbuchstaben und Konsonanten *)
       | 'b', 'c', 'd', 'f', 'g', 'h', 'j', 'k', 'l', 'm', 'n', 'p', 'q', 'r', 's', 't', 'v', 'w', 'x', 'y', 'z' =>
          klein := klein + 1;
          konsonant := konsonant +1;

(* Grossbuchstaben und Konsonanten *)

       | 'B', 'C', 'D', 'F', 'G', 'H', 'J', 'K', 'L', 'M', 'N', 'P', 'Q', 'R', 'S', 'T', 'V', 'W', 'X', 'Y', 'Z' =>
          gross := gross + 1;
          konsonant := konsonant +1;

(* in allen anderen Faellen hat das Zeichen keinen Einfluss auf das Ergebnis *)

       ELSE    
     END;
    END;
    SIO.Nl();
    SIO.PutText("Anzahl der Kleinbuchstaben im Satz: ");
    SIO.PutInt(klein);
    SIO.Nl();
    SIO.PutText("Anzahl der Grossbuchstaben im Satz: ");
    SIO.PutInt(gross);
    SIO.Nl();
    SIO.PutText("Anzahl der Konsonanten im Satz: ");
    SIO.PutInt(konsonant);
    SIO.Nl();
    SIO.PutText("Anzahl der Vokale im Satz: ");
    SIO.PutInt(vokal); 
    SIO.Nl();
    SIO.PutText("Anzahl der Doppellaute im Satz: ");
    SIO.PutInt(doppel);
  END Berechnung;

BEGIN
  Eingabe();
END Berechnung.